Support » Installing WordPress » WP2.7.1 error

  • Resolved shelbylife

    (@shelbylife)


    I receive this error why I try to update to 2.7.1. Anyone know what to do? I already deactivated the WPAU plugin.

    Downloading update from http://wordpress.org/wordpress-2.7.1.zip

    Unpacking the core update

    Verifying the unpacked files

    Installing the latest version

    Warning: copy(/var/www/vhosts/calvarydover.org/subdomains/shelbylife/httpdocs/wp-includes/js/swfupload/swfupload_f9.swf) [function.copy]: failed to open stream: Permission denied in /var/www/vhosts/calvarydover.org/subdomains/shelbylife/httpdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 122

    Warning: copy(/var/www/vhosts/calvarydover.org/subdomains/shelbylife/httpdocs/wp-includes/js/swfupload/swfupload_f9.swf) [function.copy]: failed to open stream: Permission denied in /var/www/vhosts/calvarydover.org/subdomains/shelbylife/httpdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 122

    Could not copy file: /var/www/vhosts/calvarydover.org/subdomains/shelbylife/httpdocs/wp-includes/js/swfupload/swfupload_f9.swf

    Installation Failed

Viewing 7 replies - 1 through 7 (of 7 total)
  • It’s possible there’s a permission issue with your host so you may have to follow the Upgrading WordPress instructions to upgrade to 2.7.1

    I’m having this same problem. My first two are just like yours and the third says “Could not copy file: /home/path/public_html/path/wp-cron.php”

    No permission problems with my host though. The last automatic upgrade was not problematic.

    OK, I had to manually change almost all the files to 777 for the upgrade to work. So much for automatic.

    I am having same problem with two blogs versions 2.7 on two different servers. On one server the automatic upgrade stops after “unpacking”. When checking “automatic upgrade” again, WP says “I have the latest version” (still being 2.7…). On the other server, some “fatal errors” popping up. Sorry but something here is WRONG. First time to happen. Unless there is correction, I simply won’t upgrade. Any thoughts?

    OK, found it. Actually thanks to HandySolo. Solution: deactivate the automatic upgrade, then there is still an “upgrade” under tools. All OK suddenly. Weird. Does it mean this plugin is now no more needed?

    Victory too soon. On one server it’s OK, on the other one:
    Downloading update from http://wordpress.org/wordpress-2.7.1.zip
    Unpacking the core update
    Verifying the unpacked files
    Installing the latest version
    Could not copy file: /vservers/h8986wp/htdocs/wp-blog-header.php
    Installation Failed
    ====
    So… Sorry but all the tips above are either “Chinese” for me or look impossible to do… Also I don’t understand what files should be changed to 777… Not exactly easy except for experts!
    Any “simple” advice?

    Further to the previous entry: when I tried to set the file mentioned to 777 I get “SITE CHMOD command failed”. The server I am using is not “as good” as the other one where the tip did work. Problem is, if I have to ask the service provider to change the setting to 777 which files should I request for them to do manually?

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘WP2.7.1 error’ is closed to new replies.